﻿<%@ page language="C#" inherits="MarketingSuite_SEO_YammerAdaptorsList, CardioLog_deploy" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>SEO</title>
    <meta name="description" content="ProjectName" />
    <meta name="keywords" content="ProjectName" />

    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <link href="../../Styles/jquery.styledButton.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" media="screen,projection" href="Assets/css/style.css" />
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
	<script type="text/javascript" src="/CardioLog/Scripts/jquery1.7.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.json-2.2.js"></script>
    <script type="text/javascript" src="Assets/js/jquery.wresize.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/scripts.js"></script>
    <script type="text/javascript" src="/CardioLog/Scripts/jquery.styledButton.js"></script>

    
    <script type="text/javascript">
        // HELPER DATE COMPARE FUNCTION
        /* Compare the current date against another date.
        *
        * @param b  {Date} the other date
        * @returns   -1 : if this < b
        *             0 : if this === b
        *             1 : if this > b
        *            NaN : if a or b is an illegal date
        */
        Date.prototype.compare = function (b) {
            if (b.constructor !== Date) {
                throw "invalid_date";
            }
            return (isFinite(this.valueOf()) && isFinite(b.valueOf()) ?
          (this > b) - (this < b) : NaN
        );
        };

        function addAdaptor(type) {
            if (type == "yammer") {
                document.location = "YammerAdaptor.aspx";
            }
        }

    </script>
</head>
<body>
<form id="form1" runat="server">

<asp:HiddenField ID="hdnAdaptors" Value="" runat="server" />

<div id="loader"><%=CardioLog.API.Localization.getText("$Loading$")%>...</div>
<div id="overlay"></div>
<div class="wrapper">
	<div class="section hasgradient">
		<div class="content">
			<!--innerbox -->
			<div class="innerbox">
				<!--SURVEYS -->
				<div class="title">
                    <%if (!exceedAdaptorsQuota())
                      { %>
					<div class="alignright" >
                        <div class="createAdaptorsCollection" style="width:130px; height:15px; margin-right:17px;"><span style="padding-left:20px;"><%=CardioLog.API.Localization.getText("$Add Adaptor$")%></span>
		                    <ul >
			                    <li onclick="addAdaptor('yammer');"><%=CardioLog.API.Localization.getText("$Yammer$")%></li>
		                    </ul>
	                    </div>
                    </div>
                    <%} %>
				</div>
				<div class="surveytable seotable">
					<br />
					<table cellpadding="0" cellspacing="0" border="0" id="jobs">
						<thead>
							<tr>
								<th align="left" class="th-padd" style="padding-left:10px;"><%=CardioLog.API.Localization.getText("$Network$")%></th>
								<th align="left"><%=CardioLog.API.Localization.getText("$Type$")%></th>
                                <th align="left"><%=CardioLog.API.Localization.getText("$User$")%></th>
                                <th align="left"><%=CardioLog.API.Localization.getText("$Client ID$")%></th>
                                <th align="left"><%=CardioLog.API.Localization.getText("$Client Secret$")%></th>
                                <th align="left"><%=CardioLog.API.Localization.getText("$Active$")%></th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody id="jobstable">
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- /wrapper -->
<div class="overly" id="overly" style="display:none;"></div>

</form> 

<script type="text/javascript">
    var adaptors = null;


    function getmilliseconds(value) {
        value = value / (100 * 60 * 60);
        return lpad(Math.floor(value / 10)) + ":" + ((value % 10 == 5) ? "30" : "00");
    }
    function getschedule(obj) {
        var day = parseInt(obj.scheduledetails / 24 / 60 / 60 / 1000); // Sunday = 1
        var hourofday = obj.scheduledetails - day * 24 * 60 * 60 * 1000;
        var text = "Every " + ((obj.scheduletype == "2") ? "day" : days[parseInt(day, 10)]) + " at " + getmilliseconds(hourofday);
        return text;
    }

    function drawAdaptors() {
        var recheck = false;

        $("#jobstable > tr").remove();

        if (adaptors.length == 0)
            $("#jobs").hide();
        else
            $("#jobs").show();

        for (var i = 0; i < adaptors.length; i++) {
            var type = "Yammer";
            var href = "YammerAdaptor.aspx";
            $("#jobstable").append('<tr>' +
					'	<td><h3><a href="' + href + '">' + adaptors[i].Network + '</a></h3></td>' +
					'	<td>' + type + '</td>' +
                    '	<td>' + adaptors[i].UserName + '</td>' +
                    '	<td>' + adaptors[i].ClientID + '</td>' +
                    '	<td>' + adaptors[i].ClientSecret + '</td>' +
                    '	<td>' + adaptors[i].Active + '</td>' +
					'</tr>');
        }
        if (recheck) {
            window.setTimeout(reloadpage, 10000);
        }
    }

    function reloadpage() {
        var webflag = "";
        document.location.href = "index.aspx" + webflag;
    }

    $(window).load(function () {
        adaptors = $.evalJSON($('#<%=hdnAdaptors.ClientID%>').val());
        drawAdaptors();

        $("div.createAdaptorsCollection").styledButton({
            'padding': '5px 20px',
            'font-size': '14px',
            'orientation': 'left',
            'dropdown': { 'element': 'ul' },
            'role': 'select',
            'defaultValue': 'default value',
            'name': 'adaptors',
            'clear': true
        });
    });

    parent.setCaption('Administration', false, '<%=CardioLog.API.Localization.getText("$Yammer Adaptor$")%>');
</script>

</body>
</html>
