﻿<%@ page language="C#" autoeventwireup="true" inherits="Designer_MenuLocationSelector, CardioLog_deploy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link rel="stylesheet" type="text/css" media="screen,projection" href="/CardioLog/MarketingSuite/Assets/Styles/style.css" />
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/common.js"></script>
    <script type="text/javascript" src="/CardioLog/MarketingSuite/Assets/Scripts/jquery-1.4.4.min.js"></script>
    <script type="text/javascript">
        function chooseLocation(fullPath, id, category, order) {
            //alert('chooseLocation ' + fullPath);

            $("#dialogLocationCategory").val(category);
            $("#dialogLocationPath").text(fullPath);
            $("#dialogLocationID").val(id);
            $("#dialogLocationOrder").val(order);
            //entry.attr("order")
        }

        function closepopup() {
            try {
                parent.hideSecondaryPopup();
            } catch (e) {
                parent.hidePopup();
            }
        }

        function save() {
            popupArguments.callback({
                "locationOrder": $("#dialogLocationOrder").val(),
                "locationPath": $("#dialogLocationPath").text(), 
                "locationID": $("#dialogLocationID").val(), 
                "locationCategory": $("#dialogLocationCategory").val() });

            closepopup();
        }
        var popupArguments;
		    
		function setPopupArguments(arguments) {
		    popupArguments = arguments.popupArguments[0];

            $("#dialogLocationPath").text(popupArguments.data.locationPath);
            $("#dialogLocationID").val(popupArguments.data.locationID);
            $("#dialogLocationCategory").val(popupArguments.data.locationCategory);
            $("#dialogLocationOrder").val(popupArguments.data.locationOrder);
            
		}			
    </script>
</head>
<body style="overflow:hidden;">
    <form id="form1" runat="server">
    <div >
        <table style="font-size:10pt; width:100%;">
            <tr >
                <td class="buttonsBox" style="text-align:left; height:25px; vertical-align:middle; padding-left: 5px;">
                    <strong><%=CardioLog.API.Localization.getText("$Widget Location$")%></strong>
                </td>
            </tr>
            <tr>
                <td  >
                    <div style="height:200px; table-layout:fixed; ">
                        <asp:TreeView ID="locationTree" runat="server" Font-Size="Small" Height="200px" Width="100%" ExpandDepth="1" style="overflow:auto; border: 1px solid black; color: Black;" >
                        </asp:TreeView>
                    </div>
                </td>
            </tr>
            <tr>
                <td style="height:20px;"></td>
            </tr>
            <tr >
                <td>
                    <table>
                        <tr>
                            <td style="width:80px; "><strong><%=CardioLog.API.Localization.getText("$Location$")%>:</strong></td>
                            <td ><div id="dialogLocationPath" style="color:blue;"></div></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>

            
        <input id="dialogLocationID" type="hidden" />
        <input id="dialogLocationCategory" type="hidden" />
        <input id="dialogLocationOrder" type="hidden" />
    </div>
    <div style="height:6px;"></div>
    <div class="buttonsBox" style="vertical-align:bottom;">
		<ul class="btns">
			<li><a href="javascript:save()" class="btn btn-darkblue"><%=CardioLog.API.Localization.getText("$Save$")%></a></li>
			<li><a href="javascript:closepopup()" class="btn btn-darkblue"><%=CardioLog.API.Localization.getText("$Cancel$")%></a></li>
		</ul>
	</div>
    </form>
</body>
</html>
