<%@ Reference Page="~/index.aspx" %>
<%@ page language="c#" inherits="CardioLog.Management.index, CardioLog_deploy" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 
<% 
    string cardioLogUIVersion;
    try
	{
        cardioLogUIVersion = CardioLog.API.CardioLogUIVersion.UIVersion;
    }
    catch
    {
        cardioLogUIVersion = "2007";
    } 
%>
<html xmlns:CARDIOLOG>
  <head>
    <title><%=CardioLog.API.Localization.getText("$General Administration$")%></title>
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9">
		<%if(cardioLogUIVersion=="2007"){ %>
		    <LINK rel="stylesheet" type="text/css" href="../Styles/general.css"></LINK>
		    <?IMPORT namespace="CARDIOLOG" implementation="../Controls/Tree/Tree.aspx">
        <% } if(cardioLogUIVersion=="2010"){ %>
		    <LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css"></LINK>
    		<LINK rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_popup_selectscrollpanel.css"></LINK>
		    <?IMPORT namespace="CARDIOLOG" implementation="/CardioLog/2010/Controls/Tree/Tree.aspx"> 
        <% } %>
                
		<?IMPORT namespace="CARDIOLOG" implementation="../Controls/RightClick/RightClick.aspx">
        
      <!--  <SCRIPT type="text/javascript" src="../Scripts/general.aspx"></SCRIPT>-->
<script>
function getValue(g,c,b){var d=new RegExp("^[^$]*<"+c+">(.*?)</"+c+">[^$]*$","i");var f=g.replace(d,"$1");if(f==g||f.replace(/ /g,"")==""){return b}else{return f}}function getValueFromXML(d,c,b){if(xmlStringObj.selectSingleNode(".//"+c)){return xmlStringObj.selectSingleNode(".//"+c).text}else{return b}}try{document.Ajax=(parent&&parent.document&&parent.document.Ajax)?parent.document.Ajax:false;document.Status=(parent&&parent.document&&parent.document.Status)?parent.document.Status:{print:function(){},clear:function(){}}}catch(e){}function escapeToHebrew(d){if(!d.match(/[?-?]/)){return d}var c="";for(var b=0;b<d.length;b++){if(d.substring(b,b+1).match(/[?-?]/)){var f=parseInt(d.charCodeAt(b),10)-1488+parseInt(224,10);c+="%"+f.toString(16).toUpperCase()}else{c+=d.substring(b,b+1)}}return c}function insideCardiologEnvironment(){try{var c=top.location.href;return true}catch(b){return false}}function getCardioLogParentWindow(){var c=self;try{while(c.location.href!=""){a=c.parent.location.href;if(c==c.parent){return c}c=c.parent}return c}catch(b){return c}}function toggleHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true)}function toggleMeterHelp(d){var b=toggleHelpSection(d);if(document.IsReport){return}var c=document.scheduler.updatePreferences(d._id,[((d.id.match(/preferences/i))?"showpreferences":"showhelp")],[!b]);document.scheduler.setPreferences(d._id,c,false,true,true)}function toggleHelpSection(d,b){var c;if(b){c=(b=="true")?false:true}else{c=(d.className.match(/Open$/))?true:false}d.nextSibling.style.display=c?"none":"";d.className="boxHelpSection"+(c?"Close":"Open");return c}function openHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("true","true",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[true,true]);document.scheduler.setPreferences(f,b,false,true,d)}}function findBox(d){var c=document.all.cardioLogBox;if(c&&c.length){for(var b=0;b<c.length;b++){if(c[b]._id==d){return c[b]}}}else{if(c&&c._id==d){return c}}}function closeHelpSection(f,d){if(document.IsReport){var c=findBox(d?-1:f);if(c){c.toggleHelpIcon("false","false",f,b)}}else{var b=document.scheduler.updatePreferences(f,["showhelp","showpreferences"],[false,false]);document.scheduler.setPreferences(f+"",b,false,true,d)}}function openPreferences(c,b){event.cancelBubble=true;document.scheduler.openPreferences(c,b);return false};
</script>
		<SCRIPT type="text/javascript" src="../Scripts/rightClickHelper.aspx"></SCRIPT>
		<SCRIPT type="text/javascript" src="../Scripts/adminTreeMenus.aspx"></SCRIPT>
    <script>
		var cardioLogUIVersion = "<%= cardioLogUIVersion%>";
		document.IsAdmin = '<%= IsAdministrator %>';
		document.ADSupport = <%= ADSupport %>;
		document.CategorySupport = <%= CategorySupport %>;
	
		var treeMenu, entryMenu, adminMenu;
		window.onload = function() {
			entryMenu = new RightClickMenu("entryMenu", templateMenu);
			document.entryMenu = entryMenu;
			top.windowBinders(top.jQuery);
			resizePane(parent.getPaneWidth());
		}
		document.rightClickPre = function() {
			switch (document.all["adminTree"].selectedItem.url) {
				case "templates":
					document.entryMenu = new RightClickMenu("entryMenu", templateMenu);
					break;
				case "template":
				{
					// Switch "publish" and "unpublish" caption in menu according to template id
					document.entryMenu = new RightClickMenu("entryMenu", templateSpecificMenu);
					// Default Template cannot be published
					if (document.all["adminTree"].selectedItem.id != "00000000-0000-0000-0000-000000000000") {
						var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
						xmlDoc.loadXML(document.all["adminTree"].innerHTML);
						
						// Check if template is published
						if (xmlDoc.selectSingleNode("//ITEMS/ITEM[ID='"+document.all["adminTree"].selectedItem.id+"']").childNodes[5].text == "True")
							document.entryMenu.entries[3].caption = "<%=CardioLog.API.Localization.getText("$Unpublish template$")%>";
						else
							document.entryMenu.entries[3].caption = "<%=CardioLog.API.Localization.getText("$Publish template$")%>";
							
						document.entryMenu.enableEntry("publishTemplate", true, event.ctrlKey);
					
					}
					else {
						// Disable "publish" menu entry
						document.entryMenu.entries[3].caption = "<%=CardioLog.API.Localization.getText("$Publish template$")%>";
						document.entryMenu.disableEntry("publishTemplate", true, event.ctrlKey);
					}
					break;
				}
				case "services":
				    document.entryMenu = new RightClickMenu("entryMenu", serviceMenu);
					
				    document.entryMenu.enableEntry("addService", true, event.ctrlKey);
				    
				    if ("<%= ServiceSupport %>" == "True") {
				        if ("<%= IsSchedulingServiceRunning %>" == "True") {
			                 document.entryMenu.disableEntry("startService", true, event.ctrlKey);
			                 document.entryMenu.enableEntry("stopService", true, event.ctrlKey);
			                 document.entryMenu.enableEntry("restartService", true, event.ctrlKey);
			            } else {
				            document.entryMenu.enableEntry("startService", true, event.ctrlKey);
				            document.entryMenu.disableEntry("stopService", true, event.ctrlKey);
				            document.entryMenu.disableEntry("restartService", true, event.ctrlKey);
				        }  
				    } else {
				         document.entryMenu.disableEntry("startService", true, event.ctrlKey);
				         document.entryMenu.disableEntry("stopService", true, event.ctrlKey);
				         document.entryMenu.disableEntry("restartService", true, event.ctrlKey);
				    }     
					break;
				case "monitoring_service":
					document.entryMenu = new RightClickMenu("entryMenu", monitoringServiceMenu);
					if ("<%= ServiceSupport %>" == "True") {
				        if ("<%= IsMonitoringServiceRunning %>" == "True") {
			                 document.entryMenu.disableEntry("startService", true, event.ctrlKey);
			                 document.entryMenu.enableEntry("stopService", true, event.ctrlKey);
			                 document.entryMenu.enableEntry("restartService", true, event.ctrlKey);
			            } else {
				            document.entryMenu.enableEntry("startService", true, event.ctrlKey);
				            document.entryMenu.disableEntry("stopService", true, event.ctrlKey);
				            document.entryMenu.disableEntry("restartService", true, event.ctrlKey);
				        } 
				    } else {
				         document.entryMenu.disableEntry("startService", true, event.ctrlKey);
				         document.entryMenu.disableEntry("stopService", true, event.ctrlKey);
				         document.entryMenu.disableEntry("restartService", true, event.ctrlKey);
				    }   
					break;
				case "service":
					document.entryMenu = new RightClickMenu("entryMenu", serviceSpecificMenu);
					break;
				case "UrlMappings":
					document.entryMenu = new RightClickMenu("entryMenu", urlMappingsMenu);
					break;
				case "AgentsStatus":
					document.entryMenu = new RightClickMenu("entryMenu", agentsStatusMenu);
					break;
				default:
				{
				
					switch (document.all["adminTree"].selectedItem.type)
					{
						case "CustomTree":
						{
							document.entryMenu = new RightClickMenu("entryMenu", customTreeMenu);
							if (document.all["adminTree"].selectedItem.id == "1002")
							{
								var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
								xmlDoc.loadXML(document.all["adminTree"].innerHTML);
								//alert(xmlDoc.selectSingleNode("//ITEMS/ITEM[ID='1002']/ITEMS").childNodes.length);
								if (xmlDoc.selectSingleNode("//ITEMS/ITEM[ID='1002']/ITEMS").childNodes.length != 0)
									document.entryMenu.disableEntries(true);
								else
									document.entryMenu.enableEntries(true);
							}
							break;
						}
						case "CustomTreeNode":
							document.entryMenu = new RightClickMenu("entryMenu", customTreeNodeMenu);
							break;
						default:
							document.entryMenu = new RightClickMenu("entryMenu", defaultMenu);
							break;
					}
				}
			}
			if (document.IsAdmin == "False") {
				document.entryMenu.disableEntries(true);
			}
		}
		
		
		document.callFromTree = function(entry) {
			if (entry) {
				switch (entry.id) {
					case "deleteTemplate":
						if (confirm("<%=CardioLog.API.Localization.getText("$Delete template Confirm$")%>")) {
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in deleteTemplate. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								}
								if (status.ResponseXml && status.ResponseXml.parseError.errorCode == 0) 
									document.all["adminTree"].updateBranches(status.ResponseXml, true);
							}
							document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=deleteTemplate&entityType="+document.all["adminTree"].selectedItem.type+"&templateId="+document.all["adminTree"].selectedItem.id, true, true, callback);
						}
						break;
					case "publishTemplate":
					{
						function publishTemplateCallback(status) {
							if (status.errorCode != 0) {
								document.Status.print("Error in publishTemplate. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
							} else {
								document.all["adminTree"].updateBranches(status.ResponseXml, true);
								window.location = document.location.href;
							}
						}
						if (document.Ajax) document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=publishTemplate&entityType="+document.all["adminTree"].selectedItem.type+"&templateId="+document.all["adminTree"].selectedItem.id, true, true, publishTemplateCallback);
					}
					break;
					case "open":
						parent.frames[1].location.href = "/CardioLog/clpage/index.aspx?entityId="+document.all["adminTree"].selectedItem.id+"&entityType="+document.all["adminTree"].selectedItem.type;
						parent.setCaption("<%=CardioLog.API.Localization.getText("$Templates$")%> > "+document.all["adminTree"].selectedItem.type);
						break;
					case "addTemplate":
						function addTemplatePost(templateName, baseTemplateId, entityType, columns) {
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in createTemplate. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								} else {
									document.all["adminTree"].updateBranches(status.ResponseXml, true);
								}
							}
							
							if (document.Ajax) document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=createTemplate&entityType="+entityType+"&baseTemplateId="+baseTemplateId+"&templateName="+encodeURIComponent(templateName)+"&numOfColumns="+columns, true, false, callback);
						}
						var md = window.showModalDialog("cont.aspx", {title:"Template", href:"addTemplate.aspx?entityType="+document.all["adminTree"].selectedItem.name, item:document.all["adminTree"].selectedItem, callback:addTemplatePost}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
						break;
					case "addUrlMapping":
						function addUrlMappingsPost(status) {
							if (status != 0) {
								document.Status.print("Error in addUrlMappings. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
							}
							else
							{
								alert('<%=CardioLog.API.Localization.getText("$Url Mapping$")%> <%=CardioLog.API.Localization.getText("$added successfully$")%>');
							}
						}
						var md = window.showModalDialog("cont.aspx", {title:"addUrlMappings", href:"UrlMappings/addUrlMapping.aspx", item:document.all["adminTree"].selectedItem, callback:addUrlMappingsPost}, "dialogHeight:350px; dialogWidth:390px; status:no; help:no;");
						break;
					case "editUrlMappings":
						parent.frames[1].location.href = "/CardioLog/Management/UrlMappings/UrlMappings.aspx?selectedItem=" + document.all["adminTree"].selectedItem.id;
						parent.setCaption("<%=CardioLog.API.Localization.getText("$Templates$")%> > <%=CardioLog.API.Localization.getText("$Url Mapping$")%>");
						
						function editUrlMappingsPost(status) {
							if (status != 0) {
								document.Status.print("Error in editUrlMappings. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
							}
							else
							{
								alert('<%=CardioLog.API.Localization.getText("$Url Mapping$")%> <%=CardioLog.API.Localization.getText("$updated successfully$")%>');
							}
						}
//						var md = window.showModalDialog("cont.aspx", {title:"editUrlMappings", href:"UrlMappings/UrlMappings.aspx", item:document.all["adminTree"].selectedItem, callback:editUrlMappingsPost}, "dialogHeight:400px; dialogWidth:390px; status:no; help:no;");
						break;
					case "startService":
						function startCallback(status) {
								if (status.errorCode != 0) {
									alert("<%=CardioLog.API.Localization.getText("$Failed to start service$")%>. <%=CardioLog.API.Localization.getText("$Please start it manually$")%>.");
								}
								else
								{
								    alert("<%=CardioLog.API.Localization.getText("$Service$")%> <%=CardioLog.API.Localization.getText("$started successfully$")%>.");
								    window.location = document.location.href;
								}
								
							}
							if (document.Ajax) document.Ajax.Request("GET", "Management/Services/default.aspx", "action=startService&id=" + document.all["adminTree"].selectedItem.id, true, false, startCallback);
							break;
					case "stopService":
						function stopCallback(status) {
								if (status.errorCode != 0) {
									alert("<%=CardioLog.API.Localization.getText("$Failed to stop service$")%>. <%=CardioLog.API.Localization.getText("$Please stop it manually$")%>.");
								}
								else {
								    alert("<%=CardioLog.API.Localization.getText("$Service$")%> <%=CardioLog.API.Localization.getText("$stopped successfully$")%>.");
								    window.location = document.location.href;
								}
								
							}
							if (document.Ajax) document.Ajax.Request("GET", "Management/Services/default.aspx", "action=stopService&id=" + document.all["adminTree"].selectedItem.id, true, false, stopCallback);
							break;
					case "restartService":
						function restartCallback(status) {
								if (status.errorCode != 0) {
									alert("<%=CardioLog.API.Localization.getText("$Failed to restart service$")%>. <%=CardioLog.API.Localization.getText("$Please restart it manually$")%>.");
								}
								else {
								    alert("<%=CardioLog.API.Localization.getText("$Service$")%> <%=CardioLog.API.Localization.getText("$restarted successfully$")%>.");
								    window.location = document.location.href;
								}
								
							}
							if (document.Ajax) document.Ajax.Request("GET", "Management/Services/default.aspx", "action=restartService&id=" + document.all["adminTree"].selectedItem.id, true, false, restartCallback);
							break;
					case "addService":
						function addServicePost(serviceId, scheduleType, miliseconds) {
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in createService. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								}
								if (status.ResponseXml && status.ResponseXml.parseError.errorCode == 0) 
								{
									document.all["adminTree"].updateBranches(status.ResponseXml, true);
								}	
							}
							if (document.Ajax) document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=createService&serviceId="+ serviceId +"&scheduleType="+ scheduleType +"&miliseconds="+ miliseconds, true, false, callback);
						}
						var md = window.showModalDialog("cont.aspx", {title:"addService", href:"Services/addService.aspx", item:document.all["adminTree"].selectedItem, callback:addServicePost}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
						break;
					case "editService":
						function editServicePost(serviceId, scheduleType, miliseconds, verbose, title) 
						{	
							var id = document.all["adminTree"].selectedItem.id;
							var title = document.all["adminTree"].selectedItem.name;
							function editServiceParamsPost(status)
							{
								if (status == 0) 
								{
									alert("<%=CardioLog.API.Localization.getText("$Restart for changes$")%>");
								}
								else
								{
									document.Status.print("Error in editServiceParams. Server response was '"+status+"'", "status");
								}
							}
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in editService. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								}
								else
								{
						            var myJSONObject  = 
			                        { "popupArguments":
			                        [		
			                         {title:title, href:"/CardioLog/Management/Services/serviceParams.aspx", item:document.all["adminTree"].selectedItem, id:id, callback:editServiceParamsPost, self:document.parentWindow.parent.document}
			                         ]
			                         };	
			                        if ("<%= CardioLog.API.CardioLogUIVersion.UIVersion%>" == "2010")
			                        parent.PopupManager.ShowPopup("/CardioLog/2010/Management/cont.aspx",380,350,myJSONObject) ;
			                        else
									// update service params
									var md = window.showModalDialog("cont.aspx", {title:title, href:"Services/serviceParams.aspx", item:document.all["adminTree"].selectedItem, id:id, callback:editServiceParamsPost, self:document.parentWindow.parent.document}, "dialogHeight:380px; dialogWidth:350px; status:no; help:no;");
								}
							}
							if (document.Ajax) 
							{
								document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=editService&serviceId="+ document.all["adminTree"].selectedItem.id +"&scheduleType="+ scheduleType +"&miliseconds="+ miliseconds +"&verbose="+ verbose, true, false, callback);
							}
						}
					    var myJSONObject  = 
                        { "popupArguments":
                        [		
                         {href:"/CardioLog/2010/Management/Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}
                         ]
                         };	
                        if ("<%= CardioLog.API.CardioLogUIVersion.UIVersion%>" == "2010")
                        parent.PopupManager.ShowPopup("/CardioLog/2010/Management/cont.aspx",310,400,myJSONObject) ;
                        else
						var md = window.showModalDialog("cont.aspx", {title:document.all["adminTree"].selectedItem.name, href:"Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}, "dialogHeight:360px; dialogWidth:350px; status:no; help:no;");
						break;
					case "deleteService":
						if (confirm("<%=CardioLog.API.Localization.getText("$Delete Service Confirm$")%>?")) {
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in deleteService. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								}
								if (status.ResponseXml && status.ResponseXml.parseError.errorCode == 0) 
								{
									document.all["adminTree"].updateBranches(status.ResponseXml, true);
								}
							}
							document.Ajax.Request("GET", "Tree/TreeData.aspx", "action=deleteService&serviceId="+document.all["adminTree"].selectedItem.id, true, true, callback);
						}
						break;
					case "addTreeNode":
						function addTreeNodePost(status, responseXml) {
							if (status != 0) {
								document.Status.print("Error in addTreeNode. Server response was '"+status+"'", "status");
							}
							else if (responseXml) 
							{
								var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
								xmlDoc.loadXML(responseXml);
								document.all["adminTree"].updateBranches(xmlDoc, true);
							}	
						}
						var md = window.showModalDialog("cont.aspx", {title:"addTreeNode", href:"CustomTree/TreeNode.aspx?action=add&id=" + document.all["adminTree"].selectedItem.id + "&url=" + document.all["adminTree"].selectedItem.url, item:document.all["adminTree"].selectedItem, callback:addTreeNodePost, self:document.parentWindow.parent.document}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
						break;
					case "editTreeNode":
						function editTreeNodePost(status, responseXml) {
							if (status != 0) {
								document.Status.print("Error in editTreeNode. Server response was '"+status+"'", "status");
							}
							else if (responseXml) 
							{
								var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
								xmlDoc.loadXML(responseXml);
								document.all["adminTree"].updateBranches(xmlDoc, true);
							}
						}
						var md = window.showModalDialog("cont.aspx", {title:"editTreeNode", href:"CustomTree/TreeNode.aspx?action=edit&id=" + document.all["adminTree"].selectedItem.id + "&url=" + document.all["adminTree"].selectedItem.url, item:document.all["adminTree"].selectedItem, callback:editTreeNodePost, self:document.parentWindow.parent.document}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
						break;
					case "deleteTreeNode":
						if (confirm("Are you sure you want to delete this node and all its child nodes?")) {
							function callback(status) {
								if (status.errorCode != 0) {
									document.Status.print("Error in deleteTreeNode. Server response was '"+status.reason.replace(/\r\n/g,"")+"'", "status");
								}
								else if (status.ResponseText) 
								{
									var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
									xmlDoc.loadXML(status.ResponseText.substring(0, status.ResponseText.indexOf("</TREE>") + 7));
									document.all["adminTree"].updateBranches(xmlDoc, true);
								}
							}
							document.Ajax.Request("GET", "Management/CustomTree/TreeNode.aspx", "action=delete&id="+document.all["adminTree"].selectedItem.id+ "&url=" + document.all["adminTree"].selectedItem.url, true, true, callback);
						}
						break;
					case "openAgentsStatusPage":
						alert('open');
						break;
				}
			} else {
				if (document.all["adminTree"].selectedItem.type == "CustomTree" || document.all["adminTree"].selectedItem.type == "CustomTreeNode") {
					//parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";
					//var md = window.showModalDialog("cont.aspx", {title:"editTreeNode", href:"CustomTree/TreeNode.aspx?action=edit&id=" + document.all["adminTree"].selectedItem.id + "&url=" + document.all["adminTree"].selectedItem.url, item:document.all["adminTree"].selectedItem, callback:editTreeNodePost, self:document.parentWindow.parent.document}, "dialogHeight:300px; dialogWidth:350px; status:no; help:no;");
					//parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > Analysis Center Custom Tree") ;
				} else {
					if(document.all["adminTree"].selectedItem.url == "UrlMappings") {
					if (cardioLogUIVersion == "2007")
						parent.frames[1].location.href = "/CardioLog/Management/UrlMappings/UrlMappings.aspx?selectedItem=" + document.all["adminTree"].selectedItem.id;
						else 
						    parent.frames[1].location.href = "/CardioLog/2010/Management/UrlMappings/UrlMappings.aspx?selectedItem=" + document.all["adminTree"].selectedItem.id;
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Url Mappings$")%>") ;
					} else if (document.all["adminTree"].selectedItem.url == "service"){
						parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";
						var myJSONObject  = 
                        { "popupArguments":
                        [		
                         {href:"/CardioLog/2010/Management/Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}
                         ]
                         };	
                        if ("<%= CardioLog.API.CardioLogUIVersion.UIVersion%>" == "2010")
                        parent.PopupManager.ShowPopup("/CardioLog/2010/Management/cont.aspx",310,400,myJSONObject) ;
                        else
						var md = window.showModalDialog("cont.aspx", {title:document.all["adminTree"].selectedItem.name, href:"Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}, "dialogHeight:360px; dialogWidth:350px; status:no; help:no;");
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Services$")%>") ;
					} else if (document.all["adminTree"].selectedItem.url == "services" &&
					            document.all["adminTree"].selectedItem.id == 1000){
						parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$CardioLog Scheduling Service$")%>") ;
					} else if (document.all["adminTree"].selectedItem.url == "monitoring_service"){
						parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";					    
						var myJSONObject  = 
                        { "popupArguments":
                        [		
                         {href:"/CardioLog/2010/Management/Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}
                         ]
                         };	
                        if ("<%= CardioLog.API.CardioLogUIVersion.UIVersion%>" == "2010")
                        parent.PopupManager.ShowPopup("/CardioLog/2010/Management/cont.aspx",310,400,myJSONObject) ;
                        else
						var md = window.showModalDialog("cont.aspx", {title:document.all["adminTree"].selectedItem.name, href:"Services/editService.aspx", item:document.all["adminTree"].selectedItem, id:document.all["adminTree"].selectedItem.id, callback:editServicePost}, "dialogHeight:360px; dialogWidth:350px; status:no; help:no;");
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$CardioLog Diagnostics Service$")%>") ;
					} else if(document.all["adminTree"].selectedItem.url == "Roles") {
						if (cardioLogUIVersion == "2007")
						parent.frames[1].location.href = "/CardioLog/Management/Roles/Roles.aspx";
						else
						    parent.frames[1].location.href = "/CardioLog/2010/Management/Roles/Roles.aspx";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Roles$")%>") ;
				    } else if(document.all["adminTree"].selectedItem.url == "Product License") {
						if (cardioLogUIVersion == "2007")
    						parent.frames[1].location.href = "/CardioLog/Management/ProductLicense/default.aspx";
    				    else 
    						parent.frames[1].location.href = "/CardioLog/2010/Management/ProductLicense/default.aspx";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Product License$")%>") ;
				    } else if(document.all["adminTree"].selectedItem.url == "IIS Log Import (Beta)") {
				        if (cardioLogUIVersion == "2007") 
						    parent.frames[1].location.href = "/CardioLog/Management/DataImport/default.aspx";
						else
						    parent.frames[1].location.href = "/CardioLog/2010/Management/DataImport/default.aspx";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$IIS Logs Import$")%>") ;
					} else if(document.all["adminTree"].selectedItem.url == "BlackList") {
					    if (cardioLogUIVersion == "2007") 
						parent.frames[1].location.href = "/CardioLog/Management/BlackList/BlackList.aspx";
						else 
						    parent.frames[1].location.href = "/CardioLog/2010/Management/BlackList/BlackList.aspx";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Black List$")%>") ;	
					} else if(document.all["adminTree"].selectedItem.url == "AgentsStatus") {
						parent.frames[1].location.href = "/CardioLog/Management/AgentsStatus/index.aspx";
						parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > Agents Status") ;
					} else if(document.all["adminTree"].selectedItem.url == "System Configuration") {
					    parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";
					    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Configuration$")%>") ;
					} else if(document.all["adminTree"].selectedItem.url == "SharePoint 2007 Config Wizard") {
				    parent.parent.location.href = "/CardioLog/index.aspx?wiz=1";
				    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Configuration$")%> > <%=CardioLog.API.Localization.getText("$CardioLog Configuration Wizard$")%>") ;	
				    } else if(document.all["adminTree"].selectedItem.url == "Reporting Data") {
				    parent.frames[1].location.href = "/CardioLog/Management/ReportData/ReportData.aspx";
				    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Configuration$")%> > <%=CardioLog.API.Localization.getText("$Reporting Data$")%>") ;
				    } else if(document.all["adminTree"].selectedItem.url == "System Monitoring") {
				    parent.frames[1].location.href = "/CardioLog/Images/blankBg.gif";
				    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Diagnostics$")%>") ;
				    } else if(document.all["adminTree"].selectedItem.url == "Monitoring Dashboard") {
				    if (cardioLogUIVersion == "2007") 
				    parent.frames[1].location.href = "/CardioLog/Management/Monitor/default.aspx";
				    else
    				    parent.frames[1].location.href = "/CardioLog/2010/Management/Monitor/default.aspx";				        
				    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Diagnostics$")%> > <%=CardioLog.API.Localization.getText("$Diagnostics Dashboard$")%>") ;
				    } else if(document.all["adminTree"].selectedItem.url == "Monitored Sources List") {
				    parent.frames[1].location.href = "/CardioLog/Management/Monitor/MonitoredSources.aspx";
				    parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$System Diagnostics$")%> > <%=CardioLog.API.Localization.getText("$Monitored Sources List$")%>") ;	
					}
                    else if(cardioLogUIVersion == "2010" && document.all["adminTree"].selectedItem.url == "Plugins") {
                        parent.frames[1].location.href = "/CardioLog/2010/Management/Plugins/default.aspx";
				        parent.setCaption("<%=CardioLog.API.Localization.getText("$General Administration$")%> > <%=CardioLog.API.Localization.getText("$Plugins$")%>") ;
                    }
                    else {
						parent.frames[1].location.href = "/CardioLog/clpage/blank.aspx";
	//						parent.frames[1].location.href = document.all["adminTree"].selectedItem.url;		
						if (cardioLogUIVersion == "2007") parent.setCaption(document.all["adminTree"].selectedItem.path);
						if (cardioLogUIVersion == "2010") parent.setCaption(document.all["adminTree"].selectedItem.name);
					}
				}
			}
		}
		function resizePane(size) {
    		if (cardioLogUIVersion == "2007") {
			    document.all["adminTreeDiv"].style.width = (parseInt(size, 10)-1)+"px";
			}
    		if (cardioLogUIVersion == "2010") {
			    document.all["adminTreeDiv"].style.width = (parseInt(size, 10)-35)+"px";
			}
		}
    </script>
  </head>
  <body class="treeBODY" scroll="no">
    <%if (cardioLogUIVersion == "2007") { %>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<td height="100%" valign="top">
					<div id="adminTreeDiv" style="padding:10px;height:100%; width:199px; overflow:auto; display:;">
						<CARDIOLOG:TREE source="/CardioLog/Management/data.aspx?" id="adminTree" rccallbackpre="rightClickPre" callback="callFromTree" sorted="true" imagesPath="/CardioLog/Images/Tree/">
							<ITEMS total='7' children='7'>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$CardioLog Scheduling Service$")%></NAME>
									<URL>services</URL>
									<TYPE>services</TYPE>
									<BASETYPE>services</BASETYPE>
									<ID>1000</ID>
									<%= drawServices() %>
								</ITEM>
								<%if (ShowRoles) { %>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$Roles$")%></NAME>
									<URL>Roles</URL>
									<TYPE>Roles</TYPE>
									<BASETYPE>Roles</BASETYPE>
									<ID>1003</ID>
								</ITEM>
								<%} %>
								<%if (ShowBlackList) { %>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$Black List$")%></NAME>
									<URL>BlackList</URL>
									<TYPE>BlackList</TYPE>
									<BASETYPE>BlackList</BASETYPE>
									<ID>1004</ID>
								</ITEM>
								<%} %>
                                <%if (ShowDesigner) { %>
								<ITEM>
								    <NAME><%=CardioLog.API.Localization.getText("$Custom Widgets$")%></NAME>
								    <URL>/CardioLog/Designer/index.aspx</URL>
								    <TYPE>Designer</TYPE>
								    <BASETYPE>Designer</BASETYPE>
								    <ID>1010</ID>
							    </ITEM>
								<%} %>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$Url Mappings$")%></NAME>
									<URL>UrlMappings</URL>
									<TYPE>UrlMappings</TYPE>
									<BASETYPE>UrlMappings</BASETYPE>
									<ID>1001</ID>
									<%= drawUrlMappings() %>
								</ITEM>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$System Configuration$")%></NAME>
									<URL>System Configuration</URL>
									<TYPE>Adaptor</TYPE>
									<BASETYPE>Adaptor</BASETYPE>
									<ID>1006</ID>
									<ITEMS total='3' children='3'>
									    <ITEM>
							                <NAME><%=CardioLog.API.Localization.getText("$CardioLog Configuration Wizard$")%></NAME>
							                <URL>SharePoint 2007 Config Wizard</URL>
							                <TYPE>ts</TYPE>
							                <BASETYPE>Adaptor</BASETYPE>
							                <ID>1007</ID>
							            </ITEM>
							            <ITEM>
							                <NAME><%=CardioLog.API.Localization.getText("$Reporting Data$")%></NAME>
							                <URL>Reporting Data</URL>
							                <TYPE>ts</TYPE>
							                <BASETYPE>Adaptor</BASETYPE>
							                <ID>1013</ID>
							            </ITEM>
									</ITEMS>
								</ITEM>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$System Diagnostics$")%></NAME>
									<URL>System Diagnostics</URL>
									<TYPE>Monitor</TYPE>
									<BASETYPE>Monitor</BASETYPE>
									<ID>1009</ID>
									<ITEMS total='2' children='2'>
									    <ITEM>
									        <NAME><%=CardioLog.API.Localization.getText("$Diagnostics Dashboard$")%></NAME>
									        <URL>Monitoring Dashboard</URL>
									        <TYPE>ts</TYPE>
									        <BASETYPE>Monitor</BASETYPE>
									        <ID>1011</ID>
								        </ITEM> 
									    <ITEM>
									        <NAME><%=CardioLog.API.Localization.getText("$CardioLog Diagnostics Service$")%></NAME>
									        <URL>monitoring_service</URL>
									        <TYPE>ts</TYPE>
									        <BASETYPE>monitoring_service</BASETYPE>
									        <ID>1010</ID>
								        </ITEM> 
								    </ITEMS>
								</ITEM>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$Product License$")%></NAME>
									<URL>Product License</URL>
									<TYPE>License</TYPE>
									<BASETYPE>License</BASETYPE>
									<ID>1012</ID>
								</ITEM>
								<ITEM>
									<NAME><%=CardioLog.API.Localization.getText("$IIS Logs Import$")%></NAME>
									<URL>IIS Log Import (Beta)</URL>
									<TYPE>LogImport</TYPE>
									<BASETYPE>License</BASETYPE>
									<ID>1014</ID>
								</ITEM>
							</ITEMS>
							
						</CARDIOLOG:TREE>
					</div>
				</td>
			</tr>
		</table>
	<%} else if (cardioLogUIVersion == "2010"){%> 
        <table border="0" cellpadding="0" cellspacing="0" width="214px" height="100%">
    	    <tr valign="top">
    	        <td> 
	                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="7px">
                        <td><img src="/CardioLog/images/2010/LeftLBlueBarTopLeft.gif" /></td>
                        <td style=" background-image:url(/CardioLog/images/2010/LeftLBlueBarTopMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
                        <td align="right"><img src="/CardioLog/images/2010/LeftLBlueBarTopRight.gif" /></td>
                    </table>
                </td> 
            </tr>
            <tr valign="top" height="100%">
    	        <td> 
		            <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" style="border-left:solid 1px #8698aa; border-right:solid 1px #8698aa;">
			            <tr>
				            <td height="100%" valign="top">
					            <div  class="2010_treeLBG 2010_popup_selectscrollpanelScrollWin" id="adminTreeDiv" style="padding:0px;height:100%; width:199px; overflow:auto; display:;">
						            <CARDIOLOG:TREE source="/CardioLog/Management/data.aspx?" id="adminTree" rccallbackpre="rightClickPre" callback="callFromTree" sorted="true" imagesPath="/CardioLog/Images/2010/Tree/">
							            <ITEMS total='7' children='7'>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$CardioLog Scheduling Service$")%></NAME>
									            <URL>/CardioLog/2010/Management/Services/intro.aspx</URL>
									            <TYPE>services</TYPE>
									            <BASETYPE>services</BASETYPE>
									            <ID>1000</ID>
								            </ITEM>
                                            <%if (ShowRoles) { %>
            								<ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$Roles$")%></NAME>
									            <URL>/CardioLog/2010/Management/Roles/Roles.aspx</URL>
									            <TYPE>Roles</TYPE>
									            <BASETYPE>Roles</BASETYPE>
									            <ID>1003</ID>
								            </ITEM>
                                            <%} %>
                                            <%if (ShowBlackList) { %>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$Black List$")%></NAME>
									            <URL>/CardioLog/2010/Management/BlackList/BlackList.aspx</URL>
									            <TYPE>BlackList</TYPE>
									            <BASETYPE>BlackList</BASETYPE>
									            <ID>1004</ID>
								            </ITEM>
                                            <%} %>
                                            <%if (ShowDesigner) { %>
								            <ITEM>
								                <NAME><%=CardioLog.API.Localization.getText("$Custom Widgets$")%></NAME>
								                <URL>/CardioLog/Designer/index.aspx</URL>
								                <TYPE>Designer</TYPE>
								                <BASETYPE>Designer</BASETYPE>
								                <ID>1010</ID>
							                </ITEM>
								            <%} %>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$Url Mappings$")%></NAME>
									            <URL>/CardioLog/2010/Management/UrlMappings/UrlMappings.aspx?selectedItem=1001</URL>
									            <TYPE>UrlMappings</TYPE>
									            <BASETYPE>UrlMappings</BASETYPE>
									            <ID>1001</ID>
								            </ITEM>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$System Configuration$")%></NAME>
									            <URL>/CardioLog/2010/Management/Configuration/intro.aspx</URL>
									            <TYPE>Adaptor</TYPE>
									            <BASETYPE>Adaptor</BASETYPE>
									            <ID>1006</ID>
									        </ITEM>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$System Diagnostics$")%></NAME>
									            <URL>/CardioLog/2010/Management/Monitor/default.aspx</URL>
									            <TYPE>Monitor</TYPE>
									            <BASETYPE>Monitor</BASETYPE>
									            <ID>1009</ID>
									        </ITEM>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$Product License$")%></NAME>
									            <URL>/CardioLog/2010/Management/ProductLicense/default.aspx</URL>
									            <TYPE>License</TYPE>
									            <BASETYPE>License</BASETYPE>
									            <ID>1012</ID>
								            </ITEM>
								            <ITEM>
									            <NAME><%=CardioLog.API.Localization.getText("$IIS Logs Import$")%></NAME>
									            <URL>/CardioLog/2010/Management/DataImport/default.aspx</URL>
									            <TYPE>LogImport</TYPE>
									            <BASETYPE>License</BASETYPE>
									            <ID>1014</ID>
								            </ITEM>
							            </ITEMS>
            							
						            </CARDIOLOG:TREE>
					            </div>
				            </td>
			            </tr>
		            </table>
		        </td>
		    </tr>
		    <tr valign="bottom">
    	        <td>
	                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="7px">
	                    <tr>	
                            <td><img src="/CardioLog/images/2010/LeftWhiteBarBottomLeft.gif" /></td>
                            <td style=" background-image:url(/CardioLog/images/2010/LeftWhiteBarBottomMiddle.gif); background-repeat:repeat-x; width:100%" ></td>
                            <td align="right"><img src="/CardioLog/images/2010/LeftWhiteBarBottomRight.gif" /></td>
                        </tr>
                    </table>
                </td>
            </tr>
      </table>
		<% } %>
  </body>
</html>
